validateCredentials
curl --request POST \
--url https://api.askparable.com/api/connectors/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentialMetadataId": "<string>"
}
'import requests
url = "https://api.askparable.com/api/connectors/validate"
payload = { "credentialMetadataId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({credentialMetadataId: '<string>'})
};
fetch('https://api.askparable.com/api/connectors/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/connectors/validate"
payload := strings.NewReader("{\n \"credentialMetadataId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"status": "valid",
"success": true,
"details": {},
"errorCode": "auth_failed",
"message": "<string>",
"validatedAt": "<string>"
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}validateCredentials
POST /api/connectors/validate Validate stored credentials by testing against the third-party service. Updates credential_metadata status based on validation result.
POST
/
api
/
connectors
/
validate
validateCredentials
curl --request POST \
--url https://api.askparable.com/api/connectors/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentialMetadataId": "<string>"
}
'import requests
url = "https://api.askparable.com/api/connectors/validate"
payload = { "credentialMetadataId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({credentialMetadataId: '<string>'})
};
fetch('https://api.askparable.com/api/connectors/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/connectors/validate"
payload := strings.NewReader("{\n \"credentialMetadataId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"status": "valid",
"success": true,
"details": {},
"errorCode": "auth_failed",
"message": "<string>",
"validatedAt": "<string>"
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Workspace slug. Overrides subdomain-based workspace resolution when provided.
Example:
"acme"
Optional request correlation ID echoed back in the response.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Body
application/json
Input for validating stored credentials.
The credential metadata ID to validate.